Skip to main content
GET
/
v1
/
markets
/
{condition_id}
/
trades
Get public trades
curl --request GET \
  --url https://api.foresight.now/v1/markets/{condition_id}/trades
{
  "data": [
    {
      "trade_id": "<string>",
      "condition_id": "<string>",
      "chain_id": 56,
      "price": "0.55",
      "size": "10",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>",
  "has_more": true
}

Path Parameters

condition_id
string
required

On-chain ConditionalTokens condition hash.

Example:

"0x9cded060be358b76678e598084cf258c7257771e473dbb461cad23417302d606"

Query Parameters

chain_id
integer
required

Blockchain network id. BSC mainnet is 56.

Example:

56

cursor
string | null

Opaque cursor from the prior response's next_cursor.

limit
integer
default:20
Required range: 1 <= x <= 100

Response

OK

data
object[]
required
next_cursor
string | null
required
has_more
boolean
required